=== debian/control ===
Source: ros-galactic-swri-roscpp
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-diagnostic-updater, ros-galactic-marti-common-msgs, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-rosidl-cmake, ros-galactic-rosidl-default-generators, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-galactic-diagnostic-updater, ros-galactic-marti-common-msgs, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-rosidl-default-runtime, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-ros-workspace
Description: swri_roscpp
